/*
 * Copyright © 2017-2022 NVIDIA CORPORATION & AFFILIATES. ALL RIGHTS RESERVED.
 *
 * This software product is a proprietary product of Nvidia Corporation and its affiliates
 * (the "Company") and all right, title, and interest in and to the software
 * product, including all associated intellectual property rights, are and
 * shall remain exclusively with the Company.
 *
 * This software product is governed by the End User License Agreement
 * provided with the software product.
 */

#ifndef SRC_RIVERMAX_DOCA_API_H_
#define SRC_RIVERMAX_DOCA_API_H_

#include <rivermax_api.h>
#include <rivermax_ex_api.h>
struct ibv_pd;

#ifdef __cplusplus
extern "C" {
#endif //__cplusplus

/**
 * @brief Set protection domain per device
 *
 * @param [in] ip - Device ip address
 * @param [in] pd - Protection domain
 */
__export
rmax_status_t rmax_doca_set_pd(const struct in_addr ip, struct ibv_pd *pd);

#ifdef __cplusplus
}
#endif // __cplusplus

#endif /* SRC_RIVERMAX_DOCA_API_H_ */
